Examples

GET /katello/api/content_view_versions
200
{
  "total": 11,
  "subtotal": 11,
  "selectable": 11,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "version",
    "order": "desc"
  },
  "results": [
    {
      "version": "3.0",
      "major": 3,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 419082953,
      "default": false,
      "description": null,
      "id": 234564707,
      "name": "Published Library - dev - staging view 3.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 419082953,
        "name": "Published Library - dev - staging view",
        "label": "published_dev_staging_view",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "library_dev_staging_view_library",
          "environment_id": 562075838,
          "environment_name": "Library"
        },
        {
          "label": "library_dev_staging_view_dev",
          "environment_id": 292811013,
          "environment_name": "Dev"
        },
        {
          "label": "library_dev_staging_view_staging",
          "environment_id": 1028819239,
          "environment_name": "Staging"
        }
      ],
      "environments": [
        {
          "id": 562075838,
          "name": "Library",
          "label": "library_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        },
        {
          "id": 292811013,
          "name": "Dev",
          "label": "dev_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 1,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        },
        {
          "id": 1028819239,
          "name": "Staging",
          "label": "staging_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 0,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "2.0",
      "major": 2,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 405955044,
      "default": false,
      "description": "A nice content view version",
      "id": 111397700,
      "name": "Published LIbrary view 2.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 405955044,
        "name": "Published LIbrary view",
        "label": "published_library_view",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "published_library_view_library",
          "environment_id": 562075838,
          "environment_name": "Library"
        }
      ],
      "environments": [
        {
          "id": 562075838,
          "name": "Library",
          "label": "library_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [
        {
          "id": 952181839,
          "name": "RHEL 6 x86_64",
          "label": "rhel_6_x86_64_label",
          "content_type": "yum",
          "library_instance_id": 103207400,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 129339708,
          "name": "Fedora 17 x86_64",
          "label": "fedora_17_x86_64_label",
          "content_type": "yum",
          "library_instance_id": 367202338,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 1067868180,
          "name": "busybox",
          "label": "busybox",
          "content_type": "docker",
          "library_instance_id": 84409059,
          "mirroring_policy": "mirror_content_only"
        }
      ],
      "last_event": {
        "user": "Admin",
        "status": "successful",
        "description": "A nice content view version",
        "action": "publish",
        "created_at": "2026-11-12 11:01:00 UTC",
        "updated_at": "2026-11-12 11:01:00 UTC",
        "environment": {
          "id": 562075838,
          "name": "Library"
        },
        "task": null,
        "version": "2.0",
        "publish": false,
        "version_id": 111397700,
        "triggered_by": null,
        "triggered_by_id": null
      },
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 1,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 2,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "2.0",
      "major": 2,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 597832364,
      "default": true,
      "description": null,
      "id": 56451092,
      "name": "Debian Default Content View 2.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 597832364,
        "name": "Debian Default Content View",
        "label": "debian_default_contentview_label",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "debian_cv_test",
          "environment_id": 411008527,
          "environment_name": "Test_env"
        }
      ],
      "environments": [
        {
          "id": 411008527,
          "name": "Test_env",
          "label": "test_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [
        {
          "id": 942894126,
          "name": "Debian 10 amd64",
          "label": "debian_10_amd64_label",
          "content_type": "deb",
          "library_instance_id": 697316289,
          "mirroring_policy": "mirror_content_only"
        }
      ],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 1,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 0,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 623031031,
      "default": false,
      "description": null,
      "id": 1031573206,
      "name": "Rolling CV 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 623031031,
        "name": "Rolling CV",
        "label": "rolling_cv",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "rolling_view_library",
          "environment_id": 562075838,
          "environment_name": "Library"
        }
      ],
      "environments": [
        {
          "id": 562075838,
          "name": "Library",
          "label": "library_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 0,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 451701987,
      "default": false,
      "description": null,
      "id": 998596461,
      "name": "No Filter Published LIbrary view 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 451701987,
        "name": "No Filter Published LIbrary view",
        "label": "no_filter_published_library_view",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [],
      "environments": [],
      "repositories": [],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 0,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 30237652,
      "default": true,
      "description": null,
      "id": 840492357,
      "name": "ACME Default ContentView 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 30237652,
        "name": "ACME Default ContentView",
        "label": "org_default_label",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "library_default_view_library",
          "environment_id": 562075838,
          "environment_name": "Library"
        }
      ],
      "environments": [
        {
          "id": 562075838,
          "name": "Library",
          "label": "library_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 2,
          "multi_env_host_count": 0,
          "activation_key_count": 5,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [
        {
          "id": 424777880,
          "name": "Ragnarok",
          "label": "debian_pulp_fixture_ragnarok",
          "content_type": "deb",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 338670399,
          "name": "Debian 9 amd64",
          "label": "debian_9_amd64_label",
          "content_type": "deb",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 697316289,
          "name": "Debian 10 amd64",
          "label": "debian_10_amd64_label",
          "content_type": "deb",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 170471148,
          "name": "Debian 10 amd64 duplicate",
          "label": "debian_10_amd64_duplicate_label",
          "content_type": "deb",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 367202338,
          "name": "Fedora 17 x86_64",
          "label": "fedora_17_x86_64_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 841170190,
          "name": "Fedora 17 x86_64",
          "label": "fedora_17_x86_64_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 792129035,
          "name": "Fedora 17 x86_64 duplicate",
          "label": "fedora_17_x86_64_duplicate_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 890345092,
          "name": "OSTree Integration Test",
          "label": "ostree_integration_test_label",
          "content_type": "ostree",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 576800708,
          "name": "Python Integration Test",
          "label": "python_integration_test_label",
          "content_type": "python",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 643402541,
          "name": "Feedless Fedora 17 x86_64",
          "label": "feedless_fedora_17_x86_64_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 177000827,
          "name": "RHEL 7 x86_64",
          "label": "rhel_7_x86_64_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 103207400,
          "name": "RHEL 6 x86_64",
          "label": "rhel_6_x86_64_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 242028598,
          "name": "Fedora 17 no arch",
          "label": "fedora_17_no_arch_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 721593910,
          "name": "RHEL 7 no_arch",
          "label": "rhel_7_no_arch_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 841753487,
          "name": "Fedora 17 x86_64 unpublished",
          "label": "fedora_17_unpublished_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 860533889,
          "name": "Fedora 17 x86_64 2",
          "label": "fedora_17_unpublished_2_label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 504073478,
          "name": "Source rpm repo",
          "label": "source_rpm",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 992333848,
          "name": "redis",
          "label": "redis",
          "content_type": "docker",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 84409059,
          "name": "busybox",
          "label": "busybox",
          "content_type": "docker",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 224226076,
          "name": "busybox",
          "label": "busybox2",
          "content_type": "docker",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 921033349,
          "name": "My Files",
          "label": "My_Files",
          "content_type": "file",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 752069227,
          "name": "Pulp3 File 1",
          "label": "Pulp3_File_1",
          "content_type": "file",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 269989997,
          "name": "Pulp3 Ansible Collection 1",
          "label": "Pulp3_Ansible_Collection_1",
          "content_type": "ansible_collection",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 536318648,
          "name": "Pulp3 Docker 1",
          "label": "Pulp3_Docker_1",
          "content_type": "docker",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 813024095,
          "name": "Pulp3 Deb 1",
          "label": "Pulp3_Deb_1",
          "content_type": "deb",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 16447009,
          "name": "Pulp3 Python 1",
          "label": "Pulp3_Python_1",
          "content_type": "python",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 1040792857,
          "name": "ovm2 i386 patch",
          "label": "ovm2_i386_patch",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 145295987,
          "name": "Pulp3 OSTree 1",
          "label": "Pulp3_OSTree_1",
          "content_type": "ostree",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 128942273,
          "name": "product host count repo 1",
          "label": "product_host_count_repo_1__label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 514248965,
          "name": "product host count repo 2",
          "label": "product_host_count_repo_2__label",
          "content_type": "yum",
          "library_instance_id": null,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 398587630,
          "name": "container push repo",
          "label": "container-push-repo",
          "content_type": "docker",
          "library_instance_id": null,
          "mirroring_policy": "additive"
        }
      ],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 1,
      "deb_repository_count": 5,
      "docker_repository_count": 5,
      "file_repository_count": 2,
      "ostree_repository_count": 2,
      "python_repository_count": 2,
      "yum_repository_count": 14,
      "errata_counts": {
        "security": 1,
        "bugfix": 4,
        "enhancement": 1,
        "total": 6
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 597832364,
      "default": true,
      "description": null,
      "id": 560072309,
      "name": "Debian Default Content View 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 597832364,
        "name": "Debian Default Content View",
        "label": "debian_default_contentview_label",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "debian_cv_dev",
          "environment_id": 292811013,
          "environment_name": "Dev"
        }
      ],
      "environments": [
        {
          "id": 292811013,
          "name": "Dev",
          "label": "dev_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [
        {
          "id": 887388969,
          "name": "Debian 10 amd64",
          "label": "debian_10_amd64_label",
          "content_type": "deb",
          "library_instance_id": 697316289,
          "mirroring_policy": "mirror_content_only"
        }
      ],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 1,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 0,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [
        64601712
      ],
      "content_view_id": 405955044,
      "default": false,
      "description": "A nice content view version",
      "id": 531274492,
      "name": "Published LIbrary view 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 405955044,
        "name": "Published LIbrary view",
        "label": "published_library_view",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [
        {
          "id": 323882142,
          "content_view_id": 64601712,
          "version": "1.0"
        }
      ],
      "published_in_composite_content_views": [
        {
          "id": 64601712,
          "name": "Composite view",
          "label": "composite_view"
        }
      ],
      "content_view_environments": [],
      "environments": [],
      "repositories": [
        {
          "id": 792194445,
          "name": "RHEL 6 x86_64",
          "label": "rhel_6_x86_64_label",
          "content_type": "yum",
          "library_instance_id": 103207400,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 515686532,
          "name": "Fedora 17 x86_64",
          "label": "fedora_17_x86_64_label",
          "content_type": "yum",
          "library_instance_id": 367202338,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 649015728,
          "name": "busybox",
          "label": "busybox",
          "content_type": "docker",
          "library_instance_id": 84409059,
          "mirroring_policy": "mirror_content_only"
        }
      ],
      "last_event": {
        "user": "Admin",
        "status": "successful",
        "description": "A nice content view version",
        "action": "publish",
        "created_at": "2026-11-12 11:01:00 UTC",
        "updated_at": "2026-11-12 11:01:00 UTC",
        "environment": {
          "id": 562075838,
          "name": "Library"
        },
        "task": null,
        "version": "1.0",
        "publish": false,
        "version_id": 531274492,
        "triggered_by": null,
        "triggered_by_id": null
      },
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 1,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 2,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 780068057,
      "default": false,
      "description": null,
      "id": 436591151,
      "name": "Solve Dependencies CV 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 780068057,
        "name": "Solve Dependencies CV",
        "label": "solve_dependencies_cv",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [],
      "environments": [],
      "repositories": [],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 0,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 64601712,
      "default": false,
      "description": null,
      "id": 323882142,
      "name": "Composite view 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 64601712,
        "name": "Composite view",
        "label": "composite_view",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "library/composite_view",
          "environment_id": 562075838,
          "environment_name": "Library"
        }
      ],
      "environments": [
        {
          "id": 562075838,
          "name": "Library",
          "label": "library_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [
        {
          "id": 491795034,
          "name": "RHEL 6 x86_64",
          "label": "rhel_6_x86_64_label",
          "content_type": "yum",
          "library_instance_id": 103207400,
          "mirroring_policy": "mirror_content_only"
        }
      ],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 1,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 0,
      "file_repository_count": 0,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 1,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    },
    {
      "version": "1.0",
      "major": 1,
      "minor": 0,
      "composite_content_view_ids": [],
      "published_in_composite_content_view_ids": [],
      "content_view_id": 909058347,
      "default": false,
      "description": null,
      "id": 172022917,
      "name": "Published Library and dev view 1.0",
      "created_at": "2026-11-12 11:01:01 UTC",
      "updated_at": "2026-11-12 11:01:01 UTC",
      "content_view": {
        "id": 909058347,
        "name": "Published Library and dev view",
        "label": "published_dev_view",
        "generated_for": "none"
      },
      "composite_content_views": [],
      "composite_content_view_versions": [],
      "published_in_composite_content_views": [],
      "content_view_environments": [
        {
          "label": "published_dev_view_library",
          "environment_id": 562075838,
          "environment_name": "Library"
        },
        {
          "label": "published_dev_view_dev",
          "environment_id": 292811013,
          "environment_name": "Dev"
        },
        {
          "label": "published_acme_view_dev",
          "environment_id": 292811013,
          "environment_name": "Dev"
        }
      ],
      "environments": [
        {
          "id": 562075838,
          "name": "Library",
          "label": "library_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 0,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        },
        {
          "id": 292811013,
          "name": "Dev",
          "label": "dev_label",
          "publish_date": "12 minutes",
          "permissions": {
            "readable": true,
            "promotable_or_removable": true,
            "all_hosts_editable": true,
            "all_keys_editable": true
          },
          "host_count": 1,
          "multi_env_host_count": 0,
          "activation_key_count": 0,
          "multi_env_ak_count": 0,
          "hostgroup_count": 0
        }
      ],
      "repositories": [
        {
          "id": 748949853,
          "name": "Fedora 17 x86_64",
          "label": "fedora_17_x86_64_label",
          "content_type": "yum",
          "library_instance_id": 367202338,
          "mirroring_policy": "mirror_content_only"
        },
        {
          "id": 717034840,
          "name": "My Files",
          "label": "My_Files",
          "content_type": "file",
          "library_instance_id": 921033349,
          "mirroring_policy": "mirror_content_only"
        }
      ],
      "last_event": null,
      "active_history": [],
      "ansible_collection_count": 0,
      "deb_count": 0,
      "docker_manifest_count": 0,
      "docker_manifest_list_count": 0,
      "docker_tag_count": 0,
      "file_count": 0,
      "ostree_ref_count": 0,
      "python_package_count": 0,
      "rpm_count": 0,
      "modulemd_count": 0,
      "erratum_count": 0,
      "package_group_count": 0,
      "srpm_count": 0,
      "module_stream_count": 0,
      "package_count": 0,
      "component_view_count": 0,
      "ansible_collection_repository_count": 0,
      "deb_repository_count": 0,
      "docker_repository_count": 0,
      "file_repository_count": 1,
      "ostree_repository_count": 0,
      "python_repository_count": 0,
      "yum_repository_count": 1,
      "errata_counts": {
        "security": 0,
        "bugfix": 0,
        "enhancement": 0,
        "total": 0
      },
      "permissions": {
        "deletable": true
      },
      "filters_applied": null
    }
  ]
}

Params

Param name Description
content_view_id
optional

Content view identifier

Validations:

  • Must be a number.

environment_id
optional

Filter versions by environment

Validations:

  • Must be a number.

version
optional

Filter versions by version number

Validations:

  • String

composite_version_id
optional

Filter versions that are components in the specified composite version

Validations:

  • Must be a number.

organization_id
optional

Organization identifier

Validations:

  • Must be a number.

include_applied_filters
optional

Whether or not to return filters applied to the content view version

Validations:

  • Must be one of: true, false, 1, 0.

triggered_by_id
optional

Filter composite versions whose publish was triggered by the specified component version

Validations:

  • Must be a number.

file_id
optional

Filter content view versions that contain the file

Validations:

  • Must be a number.

nondefault
optional

Filter out default content views

Validations:

  • Must be one of: true, false, 1, 0.

search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. ‘id DESC’

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

Search fields

Field name Type Possible values
content_view_id integer
repository string
version string